<?php

echo'<h1>Página de login</h1>
<h2>Cadastro de leituras ESP8266</h2>';

session_start();
require 'conectabanco.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $usuario = $_POST["usuario"];
    $senha = $_POST["senha"];

   // $pdo = conectarBanco();
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);    
    $stmt = $pdo->prepare("SELECT * FROM usuarios WHERE usuario = :usuario");
    $stmt->bindParam(":usuario", $usuario);
    $stmt->execute();
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user && password_verify($senha, $user["senha"])) {
        $_SESSION["usuario"] = $usuario;
        header("Location: listaleitura.php");
        exit;
    } else {
        echo "Usuário ou senha inválidos!";
    }
}
?>

<form method="post" action="">
    <label>Usuário:</label>
    <input type="text" name="usuario" required><br>
    <label>Senha:</label>
    <input type="password" name="senha" required><br>
    <button type="submit">Login</button>
</form>
